API Reference
Get reservation message settings
Requires reservations:read.
GET
/
reservations
/
lifecycle
/
events
Get reservation message settings
curl --request GET \
--url https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform-api.visitoai.com/m2m/v1/reservations/lifecycle/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"masterEnabled": true,
"events": [
{
"eventType": "booking_confirmed",
"label": "<string>",
"attachedIntegrationCount": 123,
"enabledIntegrationCount": 123,
"disabledIntegrationCount": 123,
"allEnabled": true,
"someEnabled": true,
"health": "healthy",
"metrics7d": {
"sent": 123,
"failed": 123,
"notSent": 123
},
"senders": [
{
"channelId": "<string>",
"active": true,
"respondEnabled": true,
"integrationIds": [
"<string>"
],
"phoneNumber": "<string>",
"name": "<string>"
}
],
"integrations": [
{
"provider": "cloudbeds",
"integrationId": "<string>",
"eligible": true,
"integrationActive": true,
"integrationEligible": true,
"eventEnabled": true,
"senderStatus": "selected",
"senderCandidates": [
{
"channelId": "<string>",
"active": true,
"respondEnabled": true,
"integrationIds": [
"<string>"
],
"phoneNumber": "<string>",
"name": "<string>"
}
],
"senders": [
{
"channelId": "<string>",
"active": true,
"respondEnabled": true,
"integrationIds": [
"<string>"
],
"phoneNumber": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"propertyId": "<string>",
"propertyName": "<string>",
"selectedSender": {
"channelId": "<string>",
"active": true,
"respondEnabled": true,
"integrationIds": [
"<string>"
],
"phoneNumber": "<string>",
"name": "<string>"
}
}
],
"templatePreview": {
"locales": [
{
"locale": "en_US",
"body": "<string>",
"buttons": [
"<string>"
]
}
]
},
"metaTemplates": {
"total": 123,
"approved": 123,
"pending": 123,
"rejected": 123,
"paused": 123,
"rows": [
{
"channelId": "<string>",
"locale": "en_US",
"templateName": "<string>",
"status": "pending",
"version": 123,
"phoneNumber": "<string>",
"templateId": "<string>",
"lastFetchedAt": "<string>",
"lastCreatedAt": "<string>",
"lastProviderErrorCode": "<string>",
"rejectedReason": "<string>"
}
]
}
}
]
}{
"error": {
"code": "M2M_AUTH_INSUFFICIENT_SCOPE",
"message": "M2M credential does not have required scope.",
"details": {
"requiredScopes": [
"conversations:write"
],
"missingScopes": [
"conversations:write"
]
}
}
}⌘I
Get reservation message settings
